import { world, system} from '@minecraft/server';
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	let playerCmds = ["!mute"];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!mute':
			if(!player.hasTag('admin')) return;
			eventData.cancel = true;
			let otherPlayerName = eventData.message.split(' ').slice(1).join(' ');
			let otherPlayer;
			for(const player of world.getPlayers()) {
				if(player.name == otherPlayerName) otherPlayer = player;
			}
			if(!otherPlayer){
        player.sendMessage(`§c${otherPlayerName} was not found online.`)
        return;
      }
			player.runCommandAsync(`tag "${otherPlayerName}" add mute`)
      world.sendMessage(`§r${otherPlayerName}§c has been muted`)
			break;
		default: break;
	}
});
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	let playerCmds = ["!unmute"];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!unmute':
			if(!player.hasTag('admin')) return;
			eventData.cancel = true;
			let otherPlayerName = eventData.message.split(' ').slice(1).join(' ');
			let otherPlayer;
			for(const player of world.getPlayers()) {
				if(player.name == otherPlayerName) otherPlayer = player;
			}
			if(!otherPlayer){
        player.sendMessage(`§c${otherPlayerName} was not found online.`)
        return;
      }
	  player.runCommandAsync(`tag "${otherPlayerName}" remove mute`)
      world.sendMessage(`§r${otherPlayerName}§a has been unmuted`)
			break;
		default: break;
}
});
//