import { world, system} from '@minecraft/server';
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	if (!player.hasTag('admin')) return;
	let playerCmds = [`!platform`];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!platform':
            let size = parseInt(eventData.message.split(' ')[1]);
			let block = eventData.message.split(' ')[2];
			if(size > 30) {
			  player.sendMessage("§6Size must be at most §c30");
			  return;
			}
            player.runCommandAsync(`fill ~${size}~-1~${size} ~-${size}~-1~-${size} ${block}`)
            player.sendMessage(`§6Created platform with the size of §c${size}§6 using the block§c ${block}`)
                        break;
		default: break;
	}
});