import {world, system} from '@minecraft/server';
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
    if(!player.hasTag('admin')) return;
	switch (eventData.message) {
        case '!presets':
            player.sendMessage
            player.sendMessage('§e!ownerpreset §6Owner Preset. Eg: §8[§4Owner§8] §cBaconDev_ §8» §6Hello!')
            player.sendMessage('§e!adminpreset §6Admin Preset. Eg: §9[§bAdmin§9] §bBaconDev_ §9» §3Hello!')
            player.sendMessage('§e!modpreset §6Moderator Preset. Eg: §5[§dMod§5] §d§oBaconDev_ §r§d» §rHello!')
            break;
            case '!ownerpreset':
                system.run(()=>{
                    let tags = player.getTags();
                    for(const tag of tags) {
                        if(tag.startsWith('namecolor:')) {
                            player.removeTag(tag)
                          }
                    }
                    player.addTag('namecolor:§c')
                    });
                    system.run(()=>{
                        let tags = player.getTags();
                        for(const tag of tags) {
                            if(tag.startsWith('textcolor:')) {
                                player.removeTag(tag)
                              }
                        }
                        player.addTag('textcolor:§6')
                          player.addTag('rank:§4Owner')
                        });
                        system.run(()=>{
                            let tags = player.getTags();
                            for(const tag of tags) {
                                if(tag.startsWith('bracketcolor:')) {
                                    player.removeTag(tag)
                                  }
                            }
                            player.removeTag('rank:§bAdmin')
                            player.removeTag('rank:§5Mod')
                            });
                        break;
                        case '!adminpreset':
                            player.sendMessage('§cChanged preset to §bAdmin')
            system.run(()=>{
                let tags = player.getTags();
                for(const tag of tags) {
                    if(tag.startsWith('namecolor:')) {
                        player.removeTag(tag)
                      }
                }
                player.addTag('namecolor:§b')
                });
                system.run(()=>{
                    let tags = player.getTags();
                    for(const tag of tags) {
                        if(tag.startsWith('textcolor:')) {
                            player.removeTag(tag)
                          }
                    }
                    player.addTag('textcolor:§3')
                      player.addTag('rank:§bAdmin')
                      player.removeTag('rank:§4Owner')
                    player.removeTag('rank:§5Mod')
                    });
                    system.run(()=>{
                        let tags = player.getTags();
                        for(const tag of tags) {
                            if(tag.startsWith('bracketcolor:')) {
                                player.removeTag(tag)
                              }
                        }
                        player.addTag('bracketcolor:§9')
                        });
                    break;
                    case '!modpreset':
            system.run(()=>{
                let tags = player.getTags();
                for(const tag of tags) {
                    if(tag.startsWith('namecolor:')) {
                        player.removeTag(tag)
                      }
                }
                player.removeTag('rank:§bAdmin')
                player.removeTag('rank:§4Owner')
                player.addTag('namecolor:§o§d')
                });
                system.run(()=>{
                    let tags = player.getTags();
                    for(const tag of tags) {
                        if(tag.startsWith('textcolor:')) {
                            player.removeTag(tag)
                          }
                    }
                      player.addTag('rank:§5Mod')
                    });
                    system.run(()=>{
                        let tags = player.getTags();
                        for(const tag of tags) {
                            if(tag.startsWith('bracketcolor:')) {
                                player.removeTag(tag)
                              }
                        }
                        player.addTag('bracketcolor:§d')
                        });
                    break;
                    case '!resetchat':
                        player.sendMessage(`§c`)
                        system.run(()=>{
                            let tags = player.getTags();
                            for(const tag of tags) {
                                player.removeTag(tag.startsWith("rank:"));
                                player.removeTag(tag.startsWith("namecolor:"));
                                player.removeTag(tag.startsWith("textcolor:"));
                                player.removeTag(tag.startsWith("bracketcolor:"));
                                player.removeTag(tag.startsWith("beforeranktext:"));
                            }
                        });
            break;
		default: break;
	}
});