import {world, system} from '@minecraft/server';
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	let playerCmds = ["!block"];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!block':
			eventData.cancel = true;
			let otherPlayerName = eventData.message.split(' ').slice(1).join(' ');
			let otherPlayer;
			for(const player of world.getPlayers()) {
				if(player.name == otherPlayerName) otherPlayer = player;
			}
			if(!otherPlayer){
        player.sendMessage(`§c${otherPlayerName} was not found online.`)
        return;
      }
			player.runCommandAsync(`tag @p add "block:${otherPlayerName}"`)
      player.sendMessage(`§cSuccsesfully blocked §r${otherPlayerName}\n§7You now cannot see their messages.`)
			break;
		default: break;
	}
});
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	let playerCmds = ["!unblock"];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!unblock':
			eventData.cancel = true;
			let otherPlayerName = eventData.message.split(' ').slice(1).join(' ');
			let otherPlayer;
			for(const player of world.getPlayers()) {
				if(player.name == otherPlayerName) otherPlayer = player;
			}
			if(!otherPlayer){
        player.sendMessage(`§c${otherPlayerName} was not found online.`)
        return;
      }
			player.runCommandAsync(`tag @p remove "block:${otherPlayerName}"`)
      player.sendMessage(`§aSuccsesfully unblocked §r${otherPlayerName}\n§7You can now see their messages.`)
			break;
		default: break;
	}
});