import { world, system} from '@minecraft/server';
world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	if (!player.hasTag('admin')) return;
	let playerCmds = [`!nickname`];
	switch (playerCmds.includes(eventData.message.split(' ')[0]) ? eventData.message.split(' ')[0] : eventData.message) {
		case '!nickname':
            let nickname = eventData.message.split(' ').slice(1).join(' ');
                system.run(()=>{
                    let tags = player.getTags();
                    for(const tag of tags) {
                        if(tag.startsWith('nickname:')) {
                            player.removeTag(tag)
                          }
                    }
                    player.addTag(`nickname:${nickname}`)
                    player.sendMessage(`§aSet nickname to: §r${nickname}`)
                    });
                        break;
		default: break;
	}
});